using System;

namespace Counters
{
    class Program
    {
        static void Main(string[] args)
        {
            // Example 3-6
            Counter c1 = new Counter();
            Counter c2 = c1;
            Console.WriteLine("c1: " + c1.GetNextValue());
            Console.WriteLine("c1: " + c1.GetNextValue());
            Console.WriteLine("c1: " + c1.GetNextValue());

            Console.WriteLine("c2: " + c2.GetNextValue());

            Console.WriteLine("c1: " + c1.GetNextValue()); 

            // Example 3-4
            Console.WriteLine(Counter.TotalCount);
        }
    } 
}
